Bug 198180 - ldd -r reports undefined symbols
ldd -r reports undefined symbols
Product: Fedora
Classification: Fedora
Component: anthy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Depends On:
Blocks: ldd-r-kh
  Show dependency treegraph
Reported: 2006-07-10 09:07 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 7900-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-11 22:42:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-07-10 09:07:47 EDT
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols
might be resolved by those. But this needs to be checked.

undefined symbol: anthy_resize_segment  (/usr/lib/libanthyinput.so)
undefined symbol: anthy_release_context (/usr/lib/libanthyinput.so)
undefined symbol: anthy_get_segment     (/usr/lib/libanthyinput.so)
undefined symbol: anthy_init    (/usr/lib/libanthyinput.so)
undefined symbol: anthy_reset_context   (/usr/lib/libanthyinput.so)
undefined symbol: anthy_get_stat        (/usr/lib/libanthyinput.so)
undefined symbol: anthy_set_string      (/usr/lib/libanthyinput.so)
undefined symbol: anthy_create_context  (/usr/lib/libanthyinput.so)
Comment 1 Akira TAGOH 2006-07-11 22:42:09 EDT
Fixed in 7900-1.fc6.

Note You need to log in before you can comment on or make changes to this bug.